import { UiInstantTimeFieldCommandHandler, UiInstantTimeFieldConfig, UiInstantTimeFieldEventSource } from "../../../generated/UiInstantTimeFieldConfig";
import { TeamAppsUiContext } from "../../TeamAppsUiContext";
import { AbstractUiTimeField } from "./AbstractUiTimeField";
export declare class UiInstantTimeField extends AbstractUiTimeField<UiInstantTimeFieldConfig, number> implements UiInstantTimeFieldEventSource, UiInstantTimeFieldCommandHandler {
    private timeZoneId;
    protected initialize(config: UiInstantTimeFieldConfig, context: TeamAppsUiContext): void;
    isValidData(v: number): boolean;
    protected displayCommittedValue(): void;
    getTransientValue(): number;
    private getTimeZoneId;
    getReadOnlyHtml(value: number, availableWidth: number): string;
    setTimeZoneId(timeZoneId: string): void;
    valuesChanged(v1: number, v2: number): boolean;
}
